Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 782 - upgrade installs sendmail which causes qmail to stop working correctly.
Summary: upgrade installs sendmail which causes qmail to stop working correctly.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-11 21:21 UTC by mw
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-26 19:38:07 UTC


Attachments (Terms of Use)

Description mw 1999-01-11 21:21:22 UTC
I have qmail installed on my system via an rpm
which  has "%provides MTA smtpdaemon" and
"%conflicts sendmail".  Nevertheless, when I upgraded
my 5.0 system to 5.2--though I did not select it--sendmail
got installed.  This silently overwote some essential files
in the qmail package---and after rebooting, sendmail started
accepting mail, and deliver it to the wrong place.

Comment 1 Jay Turner 1999-03-26 19:14:59 UTC
which files were overwritten?? If we have a list of that we can
%config those files in the sendmail rpm.

Comment 2 Jay Turner 1999-03-26 19:38:59 UTC
After reviewing the sendmail and qmail rpm, we cannot fix this.
the qmail sepc file lists:

%file
<snip>
/usr/lib/sendmail
/usr/sbin/sendmail


This is bad.  The qmail rpm should either make a symlink to 'sendmail'
or be listed as 'qmail' or something else.  this is why these files
conflict.

------- Email Received From  Mate Wierdl <mw@wierdlmpc.msci.memphis.edu> 03/26/99 14:47 -------


Note You need to log in before you can comment on or make changes to this bug.